#!/usr/bin/make

ENC_SIGIMAGE = figures/signature.pdf.gpg
DEC_SIGIMAGE = figures/signature.pdf

# to use encrypted signatures files, add "figures/signature.pdf" (no
# quotes) right before the first $( in the following line:
all: $(patsubst %.tex,%.pdf,$(wildcard *.tex))

figures/signature.pdf:
	gpg --yes --output $(DEC_SIGIMAGE) --decrypt $(ENC_SIGIMAGE)

%.pdf: %.tex
	latexmk -f -lualatex $<

clean:
	latexmk -C *.tex
	$(RM) -f *.tmp *.run.xml
	# to use encrypted signature files, uncomment the following line
	# $(RM) -f $(DEC_SIGIMAGE)

viewpdf: all
	evince *.pdf

pdf: all

.PHONY: clean all update-sig
